#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 mod
version:              0.1.2.2
visibility:           public
id:                   mod-0.1.2.2-3DsEqjUEEBmGQbtckalgXo
key:                  mod-0.1.2.2-3DsEqjUEEBmGQbtckalgXo
license:              MIT
copyright:            2017-2020 Andrew Lelechenko
maintainer:           Andrew Lelechenko <andrew.lelechenko@gmail.com>
author:               Andrew Lelechenko <andrew.lelechenko@gmail.com>
homepage:             https://github.com/Bodigrim/mod
synopsis:             Fast type-safe modular arithmetic
description:
    <https://en.wikipedia.org/wiki/Modular_arithmetic Modular arithmetic>,
    promoting moduli to the type level, with an emphasis on performance.
    Originally part of <https://hackage.haskell.org/package/arithmoi arithmoi> package.

category:             Math, Number Theory
abi:                  bbc60e7c9ff0abd0d4f24ae2f5b13ac3
exposed:              True
exposed-modules:      Data.Mod Data.Mod.Word
import-dirs:          /usr/lib/ghc-9.0.2/site-local/mod-0.1.2.2
library-dirs:         /usr/lib/ghc-9.0.2/site-local/mod-0.1.2.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.2/mod-0.1.2.2
hs-libraries:         HSmod-0.1.2.2-3DsEqjUEEBmGQbtckalgXo
depends:
    base-4.15.1.0 deepseq-1.4.5.0 integer-gmp-1.1
    primitive-0.7.3.0-HsqtLhuAIqYHZIsIWpkf26
    semirings-0.6-G8or6VWQmunHYWOqYDw98B
    vector-0.12.3.1-AuXeyw9aHek8rgyiKRxwpj

haddock-interfaces:   /usr/share/doc/haskell-mod/html/mod.haddock
haddock-html:         /usr/share/doc/haskell-mod/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

